<?php

namespace App\Modules\HR\Organization\Repositories;

use App\Modules\HR\Organization\Models\JobGrade;

class JobGradeRepository extends OrganizationRepository
{
    public function find(int $id): ?JobGrade
    {
        return JobGrade::query()->find($id);
    }

    protected function modelClass(): string
    {
        return JobGrade::class;
    }

    protected function relations(): array
    {
        return [];
    }
}
